# source: https://github.com/nix-community/poetry2nix/blob/master/templates/app/flake.nix
{
  description = "adlc.fr";

  inputs = {
    flake-utils.url = "github:numtide/flake-utils";
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.11";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = nixpkgs.legacyPackages.${system};
        # pkgs = import nixpkgs { inherit system; config.allowUnfree = true; };
      in
      {
        devShells.default = pkgs.mkShell {
          packages = [
            pkgs.docker
            pkgs.gnumake
            pkgs.nixpkgs-fmt
            pkgs.nil
            pkgs.nixd
            pkgs.alejandra
            pkgs.hugo
            pkgs.prettier-plugin-go-template
          ];
        };
      });
}
